import { Trie } from './trie';
export interface ParseDictionaryOptions {
    compoundCharacter: string;
    optionalCompoundCharacter: string;
    forbiddenPrefix: string;
    caseInsensitivePrefix: string;
    commentCharacter: string;
}
export declare const defaultParseDictionaryOptions: ParseDictionaryOptions;
/**
 * Normalizes a dictionary words based upon prefix / suffixes.
 * Case insensitive versions are also generated.
 * @param lines - one word per line
 * @param options - defines prefixes used when parsing lines.
 * @returns words that have been normalized.
 */
export declare function parseDictionaryLines(lines: Iterable<string>, options?: ParseDictionaryOptions): Iterable<string>;
export declare function parseLinesToDictionary(lines: Iterable<string>, options?: ParseDictionaryOptions): Trie;
export declare function parseDictionary(text: string, options?: ParseDictionaryOptions): Trie;
